## EvMessageArea

EvMessageArea

## Functions

GtkWidget * | ev_message_area_new ()
void | ev_message_area_set_image ()
void | ev_message_area_set_image_from_stock ()
void | ev_message_area_set_text ()
void | ev_message_area_set_secondary_text ()

## Properties

GtkWidget * | image | Read / Write
gchar * | secondary-text | Read / Write
gchar * | text | Read / Write

## Types and Values

struct | EvMessageArea
struct | EvMessageAreaClass
| EvMessageAreaPrivate

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GtkInfoBar
                            ╰── EvMessageArea
                                ╰── EvProgressMessageArea

## Implemented Interfaces

EvMessageArea implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### ev_message_area_new ()

    GtkWidget *
    ev_message_area_new (GtkMessageType type,
                         const gchar *text,
                         const gchar *first_button_text,
                         ...);

### ev_message_area_set_image ()

    void
    ev_message_area_set_image (EvMessageArea *area,
                               GtkWidget *image);

### ev_message_area_set_image_from_stock ()

    void
    ev_message_area_set_image_from_stock (EvMessageArea *area,
                                          const gchar *stock_id);

### ev_message_area_set_text ()

    void
    ev_message_area_set_text (EvMessageArea *area,
                              const gchar *str);

### ev_message_area_set_secondary_text ()

    void
    ev_message_area_set_secondary_text (EvMessageArea *area,
                                        const gchar *str);

## Types and Values

### struct EvMessageArea

    struct EvMessageArea;

### struct EvMessageAreaClass

    struct EvMessageAreaClass {
    	GtkInfoBarClass parent_class;
    };

### EvMessageAreaPrivate

    typedef struct _EvMessageAreaPrivate EvMessageAreaPrivate;

## Property Details

### The `“image”` property

      “image”                    GtkWidget *

The image.

Flags: Read / Write

### The `“secondary-text”` property

      “secondary-text”           gchar *

The secondary text of the message dialog.

Flags: Read / Write

Default value: NULL

### The `“text”` property

      “text”                     gchar *

The primary text of the message dialog.

Flags: Read / Write

Default value: NULL